Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.extensions
Interface ExpressionContext

All Known Implementing Classes:
  XPathContext.XPathExpressionContext

public interface ExpressionContext

An object that implements this interface can supply information about the current XPath expression context.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Method Summary
`org.w3c.dom.Node` | `getContextNode()` Get the current context node.
`org.w3c.dom.traversal.NodeIterator` | `getContextNodes()` Get the current context node list.
`XObject` | `getVariableOrParam(QName qname)` Get a variable based on it's qualified name.
`double` | `toNumber(org.w3c.dom.Node n)` Get the value of a node as a number.
`java.lang.String` | `toString(org.w3c.dom.Node n)` Get the value of a node as a string.

Method Detail

### getContextNode

    public org.w3c.dom.Node getContextNode()

  Get the current context node.

  Returns:
    The current context node.

### getContextNodes

    public org.w3c.dom.traversal.NodeIterator getContextNodes()

  Get the current context node list.

  Returns:
    An iterator for the current context list, as defined in XSLT.

### toNumber

    public double toNumber(org.w3c.dom.Node n)

  Get the value of a node as a number.

  Parameters:
    `n` - Node to be converted to a number. May be null.
  Returns:
    value of n as a number.

### toString

    public java.lang.String toString(org.w3c.dom.Node n)

  Get the value of a node as a string.

  Parameters:
    `n` - Node to be converted to a string. May be null.
  Returns:
    value of n as a string, or an empty string if n is null.

### getVariableOrParam

    public XObject getVariableOrParam(QName qname)
                               throws javax.xml.transform.TransformerException

  Get a variable based on it's qualified name.

  Parameters:
    `qname` - The qualified name of the variable.
  Returns:
    The evaluated value of the variable.
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference